function init() {
    
    var data = window.localStorage.getItem("window_statid");
    if (data) { window.statid = data; } else {
        window.statid = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxx'.replace(/[xy]/g, function(c) {
            var r = Math.random()*16|0, v = c == 'x' ? r : (r&0x3|0x8);
            return v.toString(16);
        });
        window.localStorage.setItem("window_statid", window.statid);
    }
    
    if (window.innerHeight > window.innerWidth) {
        var temp = Math.round(window.innerHeight * 0.5);
        $('#loading_header').css('height',  temp + 'px');  
        $('#loading_footer').css('height',  temp + 'px');  
        $('#loading_footer').css('top',  temp + 'px');         
        if ((temp * 1000 / 732) < window.innerWidth) {
            $('#loading_footer').css('background-size', '100% auto');
        } else {
            $('#loading_footer').css('background-size', 'auto 100%');
        }
        var logoWidth = Math.round(window.innerWidth * 80 / 153);
        var logoHeight = Math.round(221 * logoWidth / 700);
        $('#loading_logo').css('height',  logoHeight + 'px');  
        $('#loading_logo').css('width',  logoWidth + 'px');
        $('#loading_logo').css('top',  Math.round(window.innerWidth * 10 / 153) + 'px');  
        $('#loading_logo').css('left', (window.innerWidth - (Math.round(window.innerWidth * 10 / 153) + logoWidth)) + 'px'); 
        $('#loading_info').css('top',  (temp - 46 - Math.round(window.innerWidth * 10 / 153)) + 'px');
        $('#loader_title').css('left',  Math.round(window.innerWidth * 10 / 153) + 'px');
        $('#loader_title').css('top', (Math.round((temp - Math.round(window.innerWidth * 10 / 153) - logoHeight - 46 - 68 - Math.round(window.innerWidth * 10 / 153)) / 2) + Math.round(window.innerWidth * 10 / 153) + logoHeight) + 'px');
    } else {
        $('#loading_footer').css('display', 'none');   
        $('#loading_header').css('height',  window.innerHeight+ 'px');
        var logoWidth = Math.round(window.innerWidth * 80 / 153);
        var logoHeight = Math.round(221 * logoWidth / 700);
        $('#loading_logo').css('height',  logoHeight + 'px');  
        $('#loading_logo').css('width',  logoWidth + 'px');
        $('#loading_logo').css('top',  Math.round(window.innerWidth * 10 / 153) + 'px');  
        $('#loading_logo').css('left', (window.innerWidth - (Math.round(window.innerWidth * 10 / 153) + logoWidth)) + 'px'); 
        $('#loading_info').css('top',  (window.innerHeight - 46 -Math.round(window.innerWidth * 10 / 153)) + 'px');
        $('#loader_title').css('left',  Math.round(window.innerWidth * 10 / 153) + 'px');
        $('#loader_title').css('top', (Math.round((window.innerHeight - Math.round(window.innerWidth * 10 / 153) - logoHeight - 46 - 68 - Math.round(window.innerWidth * 10 / 153)) / 2) + Math.round(window.innerWidth * 10 / 153) + logoHeight) + 'px');
    }
    
    if (config.debug_content == true) {
        $('#test_block').css('display', 'block'); 
    }
    
    //getdataoverlay
    var temp = Math.round((window.innerHeight * 0.5) - 35);
    $('#getdata_icon').css('top',  temp + 'px'); 
    temp = temp + 90;
    $('#getdata_text').css('top',  temp + 'px'); 
    var temp = Math.round((window.innerWidth * 0.5) - 35);
    $('#getdata_icon').css('left',  temp + 'px'); 
    var temp = Math.round((window.innerWidth * 0.5) - (($('#getdata_text').width() + (2*19)) * 0.5));
    $('#getdata_text').css('left',  temp + 'px'); 
    window.dataoverlay = 'none';
    
    $('#black_screen').css('display', 'none');
    $('#black_screen').css('z-index', '1');
    
    window.language = 'de';
    window.tablet = false;
    window.nofavtime = 0;
    window.backtime = 0;
    
    if (window.checker.ipad) {
        window.tablet = true;
    } else {
        if ((window.checker.android) || (window.checker.iphone) || (window.checker.windows)) {
            if (window.checker.android) {
                if (window.checker.mobile) { } else {
                    window.tablet = true;
                }
            }
        } else {
            if ((window.innerWidth > 1000) || (window.innerHeight > 1000)) {
                window.tablet = true;
            } 
        }
    }
    
    window.showani = 1;
    if (window.checker.android) {
        window.showani = 0;
        var android_version = parseFloat(device.version);
        if (android_version >= 4) {
            window.showani = 0;
        }
        $('head').append('<style type="text/css">.ui-body-a,.ui-bar-a,.ui-btn-up-a,.ui-btn-hover-a,.ui-btn-down-a,.ui-body-b,.ui-bar-b,.ui-btn-up-b,.ui-btn-hover-b,.ui-btn-down-b,.ui-body-c,.ui-bar-c,.ui-btn-up-c,.ui-btn-hover-c,.ui-btn-down-c,.ui-body-d,.ui-bar-d,.ui-btn-up-d,.ui-btn-hover-d,.ui-btn-down-d,.ui-body-e,.ui-bar-e,.ui-btn-up-e,.ui-btn-hover-e,.ui-btn-down-e,.ui-shadow-inset,.ui-icon-shadow,.ui-focus,.ui-overlay-shadow,.ui-shadow,.ui-btn-active,* {text-shadow: none !important;box-shadow: none !important;-moz-box-shadow: none !important;-webkit-box-shadow: none !important;}</style>');
    } 
    if (window.checker.iphone) {
        window.showani = 0;
        $('head').append('<style type="text/css">.ui-body-a,.ui-bar-a,.ui-btn-up-a,.ui-btn-hover-a,.ui-btn-down-a,.ui-body-b,.ui-bar-b,.ui-btn-up-b,.ui-btn-hover-b,.ui-btn-down-b,.ui-body-c,.ui-bar-c,.ui-btn-up-c,.ui-btn-hover-c,.ui-btn-down-c,.ui-body-d,.ui-bar-d,.ui-btn-up-d,.ui-btn-hover-d,.ui-btn-down-d,.ui-body-e,.ui-bar-e,.ui-btn-up-e,.ui-btn-hover-e,.ui-btn-down-e,.ui-shadow-inset,.ui-icon-shadow,.ui-focus,.ui-overlay-shadow,.ui-shadow,.ui-btn-active,* {text-shadow: none !important;box-shadow: none !important;-moz-box-shadow: none !important;-webkit-box-shadow: none !important;}</style>');
    }
    if (window.checker.windows) {
        window.showani = 0;
        $('head').append('<style type="text/css">.ui-body-a,.ui-bar-a,.ui-btn-up-a,.ui-btn-hover-a,.ui-btn-down-a,.ui-body-b,.ui-bar-b,.ui-btn-up-b,.ui-btn-hover-b,.ui-btn-down-b,.ui-body-c,.ui-bar-c,.ui-btn-up-c,.ui-btn-hover-c,.ui-btn-down-c,.ui-body-d,.ui-bar-d,.ui-btn-up-d,.ui-btn-hover-d,.ui-btn-down-d,.ui-body-e,.ui-bar-e,.ui-btn-up-e,.ui-btn-hover-e,.ui-btn-down-e,.ui-shadow-inset,.ui-icon-shadow,.ui-focus,.ui-overlay-shadow,.ui-shadow,.ui-btn-active,* {text-shadow: none !important;box-shadow: none !important;-moz-box-shadow: none !important;-webkit-box-shadow: none !important;}</style>');
        $('body').addClass('windowsphone');
        $('#mobile_services_link').css('display', 'none');
        $('#servicebutton_5_cont').css('display', 'none');
    }
    
    window.currentState    = 0;
    window.currentIndustry = 0;
    window.currentContact  = -1;
    
    window.currentState            = [];
    window.currentState["land"]    = '';
    window.currentState["land_id"] = '';
    window.currentState["isocode"] = '';
    
    window.currentIndustry            = [];
    window.currentIndustry["descrip"] = '';
    window.currentIndustry["zcode"]   = '';
    
    window.lastinappbrowser  = 0;
    
    window.areaCode = new Array ();
    
    //updatetimestamp
    var data = window.localStorage.getItem("window_updatetime");
    if (data) { window.updatetime = data; window.first = false; } else {
        window.updatetime = config.updatetime;
        window.localStorage.setItem("window_updatetime", window.updatetime);
        window.first = true; 
    }
    
    window.favorite = [];
    window.favorite_updated = [];
    
    var states;                
    window.states = [];
    
    $('body').on('pageshow', '#status', function(event, ui){    
        $('#loading_screen').css('display', 'none');
        $('#loading_screen').css('z-index', '1');
    });
    
    var backtoupdate = 0;
    window.backtoupdate = 0;
    $('body').on('pageshow', '#updates', function(event, ui){ 
        window.backtoupdate = 1;
    });
    $('body').on('pageshow', '#mycontent', function(event, ui){ 
        window.backtoupdate = 2;
    });
    $('body').on('pageshow', '#country', function(event, ui){ 
        window.backtoupdate = 0;
    });
    $('body').on('pageshow', '#industry', function(event, ui){ 
        window.backtoupdate = 0;
    });
    
    window.loadsteps = 13;
    window.loadstepsDone = 0;
    window.noback = 0;
    
    /* steps
     * 1 open database X
     * 2 init localdata 
     * 3 check onlinestatus //noch nicht in testversion vorhanden
     * 4 get land X
     * 5 prepare land X
     * 6 get branche X
     * 7 prepare branche x
     * 6 get stat X
     * 7 prepare stat x
     * 8 get expthema x 
     * 9 prepare expthema x
     * 10 get bund
     * 11 prepare bund
     * 12 get expbund
     * 13 get favorite
     */
    
    //slpashscreen weg
    if ((window.checker.android) || (window.checker.windows)) {
        navigator.splashscreen.hide();
    }
    
    $.ajaxSetup({
        error: function(jqXHR, exception) {
            /*
            if (jqXHR.status === 0) {
                alert('Not connect.\n Verify Network.');
            } else if (jqXHR.status == 404) {
                alert('Requested page not found. [404]');
            } else if (jqXHR.status == 500) {
                alert('Internal Server Error [500].');
            } else if (exception === 'parsererror') {
                alert('Requested JSON parse failed.');
            } else if (exception === 'timeout') {
                alert('Time out error.');
            } else if (exception === 'abort') {
                alert('Ajax request aborted.');
            } else {
                alert('Uncaught Error.\n' + jqXHR.responseText);
            }
            */
            //window.onlinestatus = false;
            
        }
    });
    
    window.middleware.initdb();
    window.interval_check_loading_content = setInterval("check_loading_content()", 500);
    /*
    $('body').on('pagebeforeshow', '#countrys', function(event, ui){ 
        if (window.iscroll) {} else { 
            var data = window.localStorage.getItem("page_scroll_#countrys");
            if (data) { 
                $("#countrys .ui-content").scrollTop(data); 
            }
        }
    });
    */
}   
    
function initDisplay() {    
    
        
        
    //touch
    /*
    var hammer_options = {};
    $("#container")
      .hammer(hammer_options)
      .on("swipeleft", function(ev) { alert('left');onBackKeyDown(); });
    */
    
    var element = document.getElementById('container');
    if (!window.checker.windows) {
        var hammertime = Hammer(element).on("swiperight", function(event) {
            onBackKeyDown();
        });
    }
    
    //header 
    $('.header_back').click(function() {
        //$.mobile.back();
        //console.log('2');
        //onBackKeyDown();
    });
    
    //footer
    $('.footer_start').click(function() {
        jumpPage('#status', true);
    });
    $('.footer_twitter').click(function() {
        jumpPage('#twitter', false);
    });

    //startpage
    $('#header_info').click(function() {
        jumpPage('#info', false);
    });
    $('#mainbutton_0').click(function() {
        jumpPage('#countrys', false);
    });
    $('#mainbutton_1').click(function() {
        jumpPage('#industries', false);
    });
    $('#mainbutton_2').click(function() {
        jumpPage('#services', false);
    });
    
    $('#mycontentbutton').click(function() {
        jumpPage('#mycontent', false);
    });
    
    
    /*
    for (n=0;n<window.regions.length;n++) {
        if (window.regions[n].countrys.length == 0) {
            $('#col_' + window.regions[n].name + ' a').click(function() {
                id  = window.regions[n].countrys[0].id;
                alert(id);
                //jumpPage('#country', false);
            });
        }
    }
    */
    
    
    //country
    $('#countrybutton_0').click(function() {
        try {
            window.middleware.setCountryContacts();
        }
        catch(err) {
            
        }
    });
    $('#countrybutton_1').click(function() {
        window.middleware.setCountryNews();
    });
    $('#countrybutton_2').click(function() {
        window.middleware.setCountryEvents();
    });
    $('#countrybutton_3').click(function() {
        window.middleware.setCountryPubs();
    });
    $('#countrybutton_4').click(function() {
        window.middleware.setReiseinfo();
    });
    $('#countrybutton_5').click(function() {
        window.middleware.setEmpfehlungen();
    });
    $('#countrybutton_6').click(function() {
        window.middleware.setOekbinfos();
    });
    $('#countrybutton_7').click(function() {
        window.middleware.setCountryWirtschaft();
    });
    
    //country_pubs
    
    $("#country_pubs_button_1").click(function() {
        window.middleware.setCountryReport();
    });
    $("#country_pubs_button_2").click(function() {
        jumpPage('#country_pubs_wreport', false);
    });
    
    //reiseinfo
    $('#country_reiseinfo_sel').on('change', function() {
        window.middleware.filterReiseinfo(this.value);
    });
    
    //empfehlungen
    $('#country_empfehl_sel').on('change', function() {
        window.middleware.filterEmpfehlungen(this.value);
    });
    $('#country_empfehl_sel_1').on('change', function() {
        window.middleware.listRefreshHotel(this.value);
    });
    $('#country_empfehl_sel_2').on('change', function() {
        window.middleware.listRefreshRestaurant(this.value);
    });

    
    //industry
    $('#industrybutton_0').click(function() {
        window.middleware.setIndustryContacts();
    });
    $('#industrybutton_1').click(function() {
        window.middleware.setIndustryNews('0');
    });
    $('#industrybutton_2').click(function() {
        window.middleware.setIndustryEvents('0');
    });
    $('#industrybutton_3').click(function() {
        window.middleware.setBrancheProfiles();
    });
    $('#industrybutton_4').click(function() {
        window.middleware.listIndustryChance();
    });
    
    $('#industry_pubs_button_1').click(function() {
        window.middleware.setBrancheReports('0', true);
    });
    
    
    //news
    $('#industry_news_sel').on('change', function() {
        window.middleware.setIndustryNews(this.value);
    });
    //events
    $('#industry_events_sel').on('change', function() {
        window.middleware.setIndustryEvents(this.value);
    });
    //reports
    $('#industry_pubs_sel').on('change', function() {
        window.middleware.listBrancheReports(this.value);
    });
    //chances
    $('#industry_chances_sel').on('change', function() {
        window.middleware.listRefreshIndustryChance(this.value);
    });
    

    //services
    $('#servicebutton_0').click(function() {
        jumpPage('#per_state', false);
    });
    $('#servicebutton_1').click(function() {
        jumpPage('#per_exp', false);
    });
    $('#servicebutton_2').click(function() {
        jumpPage('#oekb', false);
    });
    $('#servicebutton_3').click(function() {
        jumpPage('#weekly', false);
    });
    $('#servicebutton_4').click(function() {
        jumpPage('#twitter', false);
    });
    $('#servicebutton_5').click(function() {
        jumpPage('#wko_mobile', false);
    });
    $('#servicebutton_6').click(function() {
        jumpPage('#gointernational', false);
    });
    $('#servicebutton_7').click(function() {
        jumpPage('#youtubechannel', false);
    });
    $('#servicebutton_8').click(function() {
        jumpPage('#linkedin', false);
    });
    $('#servicebutton_9').click(function() {
        jumpPage('#magazine', false);
    });

    //twitter
    var data = window.localStorage.getItem('twitter_lastitem');
    if (data) {
        window.twitter_lastitem = data;
    } else {
        window.twitter_lastitem = '0';
        localStorage.setItem('twitter_lastitem', window.twitter_lastitem);
    }
    window.cb = new Codebird;
    window.cb.setConsumerKey(config.twitter_key, config.twitter_secret);
    window.cb.setToken(config.twitter_token, config.twitter_token_secret);
    
    var data = window.localStorage.getItem('twitter_bearer_token');
    if (data) {
        window.twitter_bearer_token = data;
        cb.setBearerToken(window.twitter_bearer_token);
        twitterCall();
    } else {
        window.cb.__call(
                "oauth2_token",
                {},
                function (reply) {
                    window.twitter_bearer_token = reply.access_token;
                    cb.setBearerToken(window.twitter_bearer_token);
                    localStorage.setItem('twitter_bearer_token', window.twitter_bearer_token);
                    twitterCall();
                }
        );
    }
    $('body').on('pageshow', '#twitter', function(event, ui){    
        $('.tw_update').css('display', 'none');
        window.twitter_lastitem = window.twitter_lastonlist;
        localStorage.setItem('twitter_lastitem', window.twitter_lastitem);
    });


    
    
    //impressum
    var data = window.localStorage.getItem("fontsize");
    if (data) {
        $('#font_size_'+data).attr('checked', 'checked');
        if (data == '1') {
            $('.shorttext').removeClass('shorttext_big').addClass('shorttext_small');
            $('.longtext').removeClass('longtext_big').addClass('longtext_small');
            $('.longtexttablet').removeClass('longtexttablet_big').addClass('longtexttablet_small');
        }
        if (data == '2') {
            $('.shorttext').addClass('shorttext_big').removeClass('shorttext_small');
            $('.longtext').addClass('longtext_big').removeClass('longtext_small');
            $('.longtexttablet').addClass('longtexttablet_big').removeClass('longtexttablet_small');
        }
    } else {
        window.localStorage.setItem("fontsize", '0');
    }
    $('input[name="font_size"]').bind('click', function(event, ui) {
        var temp = $('input[name="font_size"]:checked').val();
        if (temp == 0) {
            $('.shorttext').removeClass('shorttext_big').removeClass('shorttext_small');
            $('.longtext').removeClass('longtext_big').removeClass('longtext_small');
            $('.longtexttablet').removeClass('longtexttablet_big').removeClass('longtexttablet_small');
        }
        if (temp == 1) {
            $('.shorttext').removeClass('shorttext_big').addClass('shorttext_small');
            $('.longtext').removeClass('longtext_big').addClass('longtext_small');
            $('.longtexttablet').removeClass('longtexttablet_big').addClass('longtexttablet_small');
        }
        if (temp == 2) {
            $('.shorttext').addClass('shorttext_big').removeClass('shorttext_small');
            $('.longtext').addClass('longtext_big').removeClass('longtext_small');
            $('.longtexttablet').addClass('longtexttablet_big').removeClass('longtexttablet_small');
        }
        window.localStorage.setItem("fontsize", temp);
    });
    
    /*tablet designanpassungen
    if (window.tablet) {
        tabletHeader();
    }
    */
    
    window.interval_check_loading_mobile = setInterval("check_loading_mobile()", 500); 
}
