window.middleware.getFileSystem = function(callback) {
    window.requestFileSystem  = window.requestFileSystem || window.webkitRequestFileSystem;
    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function(fileSystem) {
        //alert(fileSystem.root.fullPath);
        //alert(fileSystem.root.toURL());
        //alert(fileSystem.root.toNativeURL());
        window.rootFS = fileSystem.root;
        callback();
    }, function() {
        callback();
    });
}

window.middleware.getMagazin = function(id) {
    //if (window.magazindownload == false) {
    //    if (window.rootFS) {
            window.magazindownload = true;
            var filename = $('#mag_cont_' + id + ' .magazine_filename').html();
            var url = $('#mag_cont_' + id + ' .magazine_url').html();
            var mb = $('#mag_cont_' + id + ' .magazine_mb').html();
            //store = cordova.file.dataDirectory;
            if (window.checker.android) {
                //externalDataDirectory externalRootDirectory
                store = cordova.file.externalDataDirectory + 'Servicemagazin/';
            }
            if ((window.checker.iphone) || (window.checker.ipad)) {
                store = cordova.file.documentsDirectory + 'Servicemagazin/';
            }
            if (window.checker.windows) {
                //store = cordova.file.dataDirectory + 'Servicemagazin/';
                window.open(url, '_system', 'location=yes');
            } else {
                //blackberry cordova.file.sharedDirectory cordova.file.externalRootDirectory 
                window.resolveLocalFileSystemURL(store + filename, function(entry) {
                    window.magazindownload = false;
                    window.middleware.showMagazin(entry.toURL());
                }, function() {
                    if (window.onlinestatus == true) {
                        navigator.notification.confirm(
                                "Möchten Sie das Magazin (" + mb + "mb) herunterladen?",  
                                function(button) {
                                    if (button == 1) {
                                        getdataOverlay('block');
                                        var fileTransfer = new FileTransfer();
                                        if (window.checker.windows) {
                                            $('#getdata_text').html('Aktualisiere Daten');
                                        } else {
                                            fileTransfer.onprogress = function(progressEvent) {
                                                var percent =  Math.round(progressEvent.loaded / progressEvent.total * 100);
                                                $('#getdata_text').html('Aktualisiere Daten<br /><center>' + percent + '%</center>');
                                            };
                                        }
                                        fileTransfer.download(url, store + filename, 
                                            function(entry) {
                                                window.magazindownload = false;
                                                getdataOverlay('none');
                                                $('#mag_cont_' + id + ' .magazine_delete').css('display', 'block');
                                                window.middleware.showMagazin(entry.toURL());
                                            }, 
                                            function(err) {
                                                getdataOverlay('none');
                                                message('Leider ist während des Downloads ein Fehler aufgetreten, bitte versuchen sie es später erneut.');
                                                window.magazindownload = false;
                                        });
                                    }
                                    if (button == 2) {
                                        window.magazindownload = false;
                                    }
                                },            
                                "Magazindownload",          
                                ['Ja','Nein']
                        );
                    } else {
                        message('Da sie sich im Offline-Modus befinden bzw. der Server nicht erreicht werden kann, können Sie leider im Moment das Magazin nicht herunterladen.');
                        window.magazindownload = false;
                    }
                });
             }
    //    }
   // }
}

window.middleware.delMagazin = function(id) {
    var filename = $('#mag_cont_' + id + ' .magazine_filename').html();
    var url = $('#mag_cont_' + id + ' .magazine_url').html();
    var mb = $('#mag_cont_' + id + ' .magazine_mb').html();
    navigator.notification.confirm(
            "Möchten Sie das Magazin (" + mb + "mb) wirklich von Ihrem Gerät löschen?",  
            function(button) {
                if (button == 1) {
                    if (window.checker.android) {
                        //externalDataDirectory externalRootDirectory
                        store = cordova.file.externalDataDirectory + 'Servicemagazin/';
                    }
                    if ((window.checker.iphone) || (window.checker.ipad)) {
                        store = cordova.file.documentsDirectory + 'Servicemagazin/';
                    }
                    if (window.checker.windows) {
                        store = cordova.file.dataDirectory + 'Servicemagazin/';
                    }
                    window.resolveLocalFileSystemURL(store + filename, function(entry) {
                        entry.remove();
                        $('#mag_cont_' + id + ' .magazine_delete').css('display', 'none');
                    });
                }
            },            
            "Magazin löschen",          
            ['Ja','Nein']
    );
}

window.middleware.showMagazin = function(file) {
    //alert(entry.toURL());
    //window.open(entry.toURL(), '_system', 'location=yes');
   // window.open(entry.toURL(), '_blank', 'location=no,closebuttoncaption=Close,enableViewportScale=yes');  
    
    cordova.plugins.fileOpener2.open(
            file, 
            'application/pdf', 
            { 
                error : function(e) { 
                    //alert('Error status: ' + e.status + ' - Error message: ' + e.message);
                    message('Zum Lesen unserer Magazine benötigen sie einen PDF-Viewer. Bitte installieren sie sich eine entsprechende App, z.B. den Adobe Reader, über ihren Store.');
                },
                success : function () {
                    //alert('file opened successfully');                
                }
            }
    );
}

window.middleware.updateMagazine = function(callback) {
    $.getJSON(config.api_url + '?view=static&t=' + window.updatetime + '&jsoncallback=?', function(data) {
        if (data.length == 0) {
            callback();
        } else {
            window.tempstatic = data.length;
            window.tempstaticcounter = 0;
            window.middleware.db.gen.transaction(function(tx){
                $.each(data, function(key, val) {
                    if (val.live == 0) {
                        tx.executeSql("SELECT * FROM static where stat_id = ?", [val.stat_id], function (tx, rs) {
                            filename = val.img.substr(val.img.lastIndexOf("/")+1);
                            if (rs.rows.length == 0) {
                            } else {
                                if (val.typ == 'ePaper') {
                                    if (window.rootFS) {
                                        if (window.checker.android) {
                                            store = cordova.file.externalDataDirectory + 'Servicemagazin/';
                                        }
                                        if ((window.checker.iphone) || (window.checker.ipad)) {
                                            store = cordova.file.documentsDirectory + 'Servicemagazin/';
                                        }
                                        if (window.checker.windows) {
                                            store = cordova.file.dataDirectory + 'Servicemagazin/';
                                        }
                                        window.resolveLocalFileSystemURL(store + filename, function(entry) {
                                            entry.remove();
                                        }, function() {});
                                    }
                                }
                                tx.executeSql("delete FROM static where stat_id = ?", [val.stat_id]);
                            }
                        });
                        window.tempstaticcounter = window.tempstaticcounter + 1;
                        if (window.tempstaticcounter == window.tempstatic) {
                            callback();
                        }
                    } else {
                        tx.executeSql("SELECT * FROM static where stat_id = ?", [val.stat_id], function (tx, rs) {
                            filename = val.img.substr(val.img.lastIndexOf("/")+1);
                            if (rs.rows.length == 0) {
                                tx.executeSql("INSERT INTO static(stat_id, typ, img, descrip, since, size, descrip2, filename, fix_id) VALUES (?,?,?,?,?,?,?,?,?)",
                                        [val.stat_id, val.typ, val.img, val.descrip, val.since, val.size, val.descrip2, filename, val.fix_id],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                window.tempstaticcounter = window.tempstaticcounter + 1;
                                if (window.tempstaticcounter == window.tempstatic) {
                                    callback();
                                }
                            } else {
                                if (val.typ == 'Version') { 
                                    if (val.since > rs.rows.item(0).since) { 
                                        window.nofavtime = Math.round((new Date().getTime() / 1000) + 300).toString();
                                        tx.executeSql("UPDATE branche set updated = ?",[config.updatecountrytime]);
                                        tx.executeSql("UPDATE land set updated = ?",[config.updatecountrytime],function (tx, r) {
                                            window.tempstaticcounter = window.tempstaticcounter + 1;
                                            if (window.tempstaticcounter == window.tempstatic) {
                                                callback();
                                            }
                                        });
                                        tx.executeSql("UPDATE static set typ = ?, img = ?, descrip = ?, since = ?, size = ?, descrip2 = ?, filename = ?, fix_id = ?  where stat_id = ?",
                                                [val.typ, val.img, val.descrip, val.since, val.size, val.descrip2, filename, val.fix_id, val.stat_id],
                                                function (tx, r) {}, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    } else {
                                        tx.executeSql("UPDATE static set typ = ?, img = ?, descrip = ?, since = ?, size = ?, descrip2 = ?, filename = ?, fix_id = ?  where stat_id = ?",
                                                [val.typ, val.img, val.descrip, val.since, val.size, val.descrip2, filename, val.fix_id, val.stat_id],
                                                function (tx, r) {}, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                        window.tempstaticcounter = window.tempstaticcounter + 1;
                                        if (window.tempstaticcounter == window.tempstatic) {
                                            callback();
                                        }
                                    }
                                } else {
                                    tx.executeSql("UPDATE static set typ = ?, img = ?, descrip = ?, since = ?, size = ?, descrip2 = ?, filename = ?, fix_id = ?  where stat_id = ?",
                                            [val.typ, val.img, val.descrip, val.since, val.size, val.descrip2, filename, val.fix_id, val.stat_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    window.tempstaticcounter = window.tempstaticcounter + 1;
                                    if (window.tempstaticcounter == window.tempstatic) {
                                        callback();
                                    }
                                }
                            }
                        });
                    } 
                });
                window.middleware.useConfig();
            });
        }
    });
}