window.middleware.setUpdatesState = function(iso) { 
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM land where isocode = ?", [iso], function(tx, rs) {
            window.currentState["land"]    = rs.rows.item(0).land;
            window.currentState["isocode"] = iso;
            window.currentState["link"]    = rs.rows.item(0).link;
            window.currentState["land_id"] = rs.rows.item(0).land_id;
            window.currentState["reg_id"] = rs.rows.item(0).reg_id;
            window.currentState["reg_org_id"] = rs.rows.item(0).reg_org_id;
            window.currentState["updated"] = rs.rows.item(0).updated;
            window.currentState["ever"] = rs.rows.item(0).ever;
            var content = '';
            var content_ansprech = '';
            var content_news = '';
            var content_event = '';
            var content_pub = '';
            var content_reise = '';
            var content_empf = '';
            var content_oekb = '';
            window.middleware.db.gen.transaction(function(tx) {
                tx.executeSql("SELECT * FROM updates where type = 1 and subtype = 2 and key = ? order by content_1", [iso], function(tx, rs) {
                    if (rs.rows.length > 0) {
                        content_ansprech = '<div class="wko_sitetitle">Ansprechpartner</div><div class="block"><ul style="margin: 0 !important; padding: 0 0 0 20px !important;">';
                        var templast = '';
                        for(var m=0;m<rs.rows.length;m++) {
                            if (templast != rs.rows.item(m).content_1) {
                                content_ansprech = content_ansprech + '<li>' + rs.rows.item(m).content_1 + '</li>';
                                templast = rs.rows.item(m).content_1;
                            }
                        }
                        content_ansprech = content_ansprech + '</ul></div>';
                    }
                });
                tx.executeSql("SELECT * FROM updates where type = 1 and subtype = 1 and key = ? order by updated desc, content_2 desc, content_1", [iso], function(tx, rs) {
                    if (rs.rows.length > 0) {
                        content_news = '<div class="wko_sitetitle">News</div><ul id="country_news_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                        for(var m=0;m<rs.rows.length;m++) {
                            content_news = content_news + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                            if (m == 0) {
                                content_news = content_news + 'ui-first-child ';
                            }
                            if ((m+1) == rs.rows.length) {
                                content_news = content_news + 'ui-last-child ';
                            }
                            content_news = content_news + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailLandNews(\'';
                            content_news = content_news + rs.rows.item(m).subkey;
                            content_news = content_news + '\');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                            content_news = content_news + rs.rows.item(m).content_1;
                            content_news = content_news + '</h4><p class="ui-li-desc">';
                            var date = new Date(rs.rows.item(m).content_2 * 1000);
                            var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                            content_news = content_news + dateString;
                            var date = new Date(rs.rows.item(m).updated * 1000);
                            var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                            content_news = content_news + ', aktualisiert ' + dateString;
                            content_news = content_news + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                        }
                        content_news = content_news + '</ul>';
                    }
                });
                tx.executeSql("SELECT * FROM updates where type = 1 and subtype = 3 and key = ? order by updated desc, content_2 desc, content_1", [iso], function(tx, rs) {
                    if (rs.rows.length > 0) {
                        content_event = '<div class="wko_sitetitle">Veranstaltungen</div><ul id="country_news_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                        for(var m=0;m<rs.rows.length;m++) {
                            if (window.yesterday < rs.rows.item(m).content_2) {
                                content_event = content_event + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                                if (m == 0) {
                                    content_event = content_event + 'ui-first-child ';
                                }
                                if ((m+1) == rs.rows.length) {
                                    content_event = content_event + 'ui-last-child ';
                                }
                                content_event = content_event + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailLandEvents(\'';
                                content_event = content_event + rs.rows.item(m).subkey;
                                content_event = content_event + '\');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                                content_event = content_event + rs.rows.item(m).content_1;
                                content_event = content_event + '</h4><p class="ui-li-desc">';
                                var date = new Date(rs.rows.item(m).content_2 * 1000);
                                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                                content_event = content_event + dateString;
                                var date = new Date(rs.rows.item(m).updated * 1000);
                                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                                content_event = content_event + ', aktualisiert ' + dateString;
                                content_event = content_event + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                            }
                        }
                        content_event = content_event + '</ul>';
                    }
                });
                tx.executeSql("SELECT * FROM updates where type = 1 and subtype = 4 and key = ? order by id", [iso], function(tx, rs) {
                    if (rs.rows.length > 0) {
                        content_pub = '<div class="wko_sitetitle">Publikationen</div><div class="block"><ul style="margin: 0 !important; padding: 0 0 0 20px !important;">';
                        var templast = '';
                        for(var m=0;m<rs.rows.length;m++) {
                            if (templast != rs.rows.item(m).content_1) {
                                content_pub = content_pub + '<li>' + rs.rows.item(m).content_1 + '</li>';
                                templast = rs.rows.item(m).content_1;
                            }
                        }
                        content_pub = content_pub + '</ul></div>';
                    }
                });
                tx.executeSql("SELECT * FROM updates where type = 1 and subtype = 5 and key = ? order by id", [iso], function(tx, rs) {
                    if (rs.rows.length > 0) {
                        content_reise = '<div class="wko_sitetitle">Reiseinformationen</div><div class="block"><ul style="margin: 0 !important; padding: 0 0 0 20px !important;">';
                        var templast = '';
                        for(var m=0;m<rs.rows.length;m++) {
                            if (templast != rs.rows.item(m).content_1) {
                                content_reise = content_reise + '<li>' + rs.rows.item(m).content_1 + '</li>';
                                templast = rs.rows.item(m).content_1;
                            }
                        }
                        content_reise = content_reise + '</ul></div>';
                    }
                });
                tx.executeSql("SELECT * FROM updates where type = 1 and subtype = 6 and key = ? order by content_1", [iso], function(tx, rs) {
                    if (rs.rows.length > 0) {
                        content_empf = '<div class="wko_sitetitle">Empfehlungen</div><div class="block"><ul style="margin: 0 !important; padding: 0 0 0 20px !important;">';
                        var templast = '';
                        for(var m=0;m<rs.rows.length;m++) {
                            if (templast != rs.rows.item(m).content_1) {
                                content_empf = content_empf + '<li>' + rs.rows.item(m).content_1 + '</li>';
                                templast = rs.rows.item(m).content_1;
                            }
                        }
                        content_empf = content_empf + '</ul></div>';
                    }
                });
                tx.executeSql("SELECT * FROM updates where type = 1 and subtype = 7 and key = ? order by id", [iso], function(tx, rs) {
                    if (rs.rows.length > 0) {
                        content_oekb = '<div class="wko_sitetitle">OeKB Informationen</div><div class="block"><ul style="margin: 0 !important; padding: 0 0 0 20px !important;">';
                        var templast = '';
                        for(var m=0;m<rs.rows.length;m++) {
                            if (templast != rs.rows.item(m).content_1) {
                                content_oekb = content_oekb + '<li>' + rs.rows.item(m).content_1 + '</li>';
                                templast = rs.rows.item(m).content_1;
                            }
                        }
                        content_oekb = content_oekb + '</ul></div>';
                    }
                });
            }, function(e) { console.log(JSON.stringify(e, null, 4)); }, function() { 
                content = content + content_ansprech + content_news + content_event + content_pub + content_reise + content_empf + content_oekb;
                if (content.length == 0) {
                    window.middleware.setCurrentState(iso);
                } else {
                    content = '<a onclick="window.middleware.setCurrentState(\'' + iso + '\');" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">Weiter zum Land</span></span></a>' + content + '<a onclick="window.middleware.setCurrentState(\'' + iso + '\');" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">Weiter zum Land</span></span></a>';
                    $("#updates_cont").html(content);
                    jumpPage('#updates', false);
                }
            });
        });
    });
};

window.middleware.setUpdatesIndustry = function(zcode) { 
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM branche where zcode = ?", [zcode], function(tx, rs) {
            window.currentIndustry["descrip"] = rs.rows.item(0).descrip;
            window.currentIndustry["zcode"]   = zcode;
            window.currentIndustry["branche_id"] = rs.rows.item(0).branche_id;
            window.currentIndustry["org_id"] = rs.rows.item(0).org_id;
            window.currentIndustry["manager_id"] = rs.rows.item(0).manager_id;
            window.currentIndustry["messe_id"] = rs.rows.item(0).messe_id;
            window.currentIndustry["updated"] = rs.rows.item(0).updated;
            window.currentIndustry["ever"] = rs.rows.item(0).ever;
            var content = '';
            var content_ansprech = '';
            var content_news = '';
            var content_event = '';
            var content_pub = '';
            var content_pub2 = '';
            var content_chan = '';
            window.middleware.db.gen.transaction(function(tx) {
                tx.executeSql("SELECT * FROM updates where type = 2 and subtype = 2 and key = ? order by content_1", [zcode], function(tx, rs) {
                    if (rs.rows.length > 0) {
                        content_ansprech = '<div class="wko_sitetitle">Ansprechpartner</div><div class="block"><ul style="margin: 0 !important; padding: 0 0 0 20px !important;">';
                        for(var m=0;m<rs.rows.length;m++) {
                            content_ansprech = content_ansprech + '<li>' + rs.rows.item(m).content_1 + '</li>';
                        }
                        content_ansprech = content_ansprech + '</ul></div>';
                    }
                });
                tx.executeSql("SELECT * FROM updates where type = 2 and subtype = 1 and key = ? order by updated desc, content_2 desc, content_1", [zcode], function(tx, rs) {
                    if (rs.rows.length > 0) {
                        content_news = '<div class="wko_sitetitle">News</div><ul id="country_news_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                        for(var m=0;m<rs.rows.length;m++) {
                            content_news = content_news + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                            if (m == 0) {
                                content_news = content_news + 'ui-first-child ';
                            }
                            if ((m+1) == rs.rows.length) {
                                content_news = content_news + 'ui-last-child ';
                            }
                            content_news = content_news + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailBrancheNews(\'';
                            content_news = content_news + rs.rows.item(m).subkey;
                            content_news = content_news + '\');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                            content_news = content_news + rs.rows.item(m).content_1;
                            content_news = content_news + '</h4><p class="ui-li-desc">';
                            var date = new Date(rs.rows.item(m).content_2 * 1000);
                            var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                            content_news = content_news + dateString;
                            var date = new Date(rs.rows.item(m).updated * 1000);
                            var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                            content_news = content_news + ', aktualisiert ' + dateString;
                            content_news = content_news + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                        }
                        content_news = content_news + '</ul>';
                    }
                });
                tx.executeSql("SELECT * FROM updates where type = 2 and subtype = 3 and key = ? order by updated desc, content_2 desc, content_1", [zcode], function(tx, rs) {
                    if (rs.rows.length > 0) {
                        content_event = '<div class="wko_sitetitle">Veranstaltungen</div><ul id="country_news_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                        for(var m=0;m<rs.rows.length;m++) {
                            if (window.yesterday < rs.rows.item(m).content_2) {
                                content_event = content_event + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                                if (m == 0) {
                                    content_event = content_event + 'ui-first-child ';
                                }
                                if ((m+1) == rs.rows.length) {
                                    content_event = content_event + 'ui-last-child ';
                                }
                                content_event = content_event + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailIndustryEvents(\'';
                                content_event = content_event + rs.rows.item(m).subkey;
                                content_event = content_event + '\');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                                content_event = content_event + rs.rows.item(m).content_1;
                                content_event = content_event + '</h4><p class="ui-li-desc">';
                                var date = new Date(rs.rows.item(m).content_2 * 1000);
                                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                                content_event = content_event + dateString;
                                var date = new Date(rs.rows.item(m).updated * 1000);
                                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                                content_event = content_event + ', aktualisiert ' + dateString;
                                content_event = content_event + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                            }
                        }
                        content_event = content_event + '</ul>';
                    }
                });
                tx.executeSql("SELECT * FROM updates where type = 2 and subtype = 4 and key = ? order by id", [zcode], function(tx, rs) {
                    if (rs.rows.length > 0) {
                        content_pub = '<div class="wko_sitetitle">Branchenreports</div><div class="block"><ul style="margin: 0 !important; padding: 0 0 0 20px !important;">';
                        for(var m=0;m<rs.rows.length;m++) {
                            content_pub = content_pub + '<li>' + rs.rows.item(m).content_1 + '</li>';
                        }
                        content_pub = content_pub + '</ul></div>';
                    }
                });
                tx.executeSql("SELECT * FROM updates where type = 2 and subtype = 6 and key = ? order by id", [zcode], function(tx, rs) {
                    if (rs.rows.length > 0) {
                        content_pub2 = '<div class="wko_sitetitle">Branchenprofile</div><div class="block"><ul style="margin: 0 !important; padding: 0 0 0 20px !important;">';
                        for(var m=0;m<rs.rows.length;m++) {
                            content_pub2 = content_pub2 + '<li>' + rs.rows.item(m).content_1 + '</li>';
                        }
                        content_pub2 = content_pub2 + '</ul></div>';
                    }
                });
                tx.executeSql("SELECT * FROM updates where type = 2 and subtype = 5 and key = ? order by updated desc, content_2 desc, content_1", [zcode], function(tx, rs) {
                    if (rs.rows.length > 0) {
                        content_chan = '<div class="wko_sitetitle">Geschäftschancen</div><ul id="country_news_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                        for(var m=0;m<rs.rows.length;m++) {
                            content_chan = content_chan + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                            if (m == 0) {
                                content_chan = content_chan + 'ui-first-child ';
                            }
                            if ((m+1) == rs.rows.length) {
                                content_chan = content_chan + 'ui-last-child ';
                            }
                            content_chan = content_chan + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailIndustryChance(\'';
                            content_chan = content_chan + rs.rows.item(m).subkey;
                            content_chan = content_chan + '\');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                            content_chan = content_chan + rs.rows.item(m).content_1;
                            content_chan = content_chan + '</h4><p class="ui-li-desc">';
                            var date = new Date(rs.rows.item(m).content_2 * 1000);
                            var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                            content_chan = content_chan + dateString;
                            var date = new Date(rs.rows.item(m).updated * 1000);
                            var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                            content_chan = content_chan + ', aktualisiert ' + dateString;
                            content_chan = content_chan + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                        }
                        content_chan = content_chan + '</ul>';
                    }
                });

            }, function(e) { console.log(JSON.stringify(e, null, 4)); }, function() { 
                content = content + content_ansprech + content_news + content_event + content_pub + content_pub2 + content_chan;
                if (content.length == 0) {
                    window.middleware.setCurrentIndustry(zcode);
                } else {
                    content = '<a onclick="window.middleware.setCurrentIndustry(\'' + zcode + '\');" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">Weiter zur Branche</span></span></a>' + content + '<a onclick="window.middleware.setCurrentIndustry(\'' + zcode + '\');" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">Weiter zur Branche</span></span></a>';
                    $("#updates_cont").html(content);
                    jumpPage('#updates', false);
                }
            });
        });
    });
};

window.middleware.updatedFavorite = function(type, subtype, key, subkey, content_1, content_2) {
    //console.log(JSON.stringify(window.industries, null, 4));
    debuglog ('Updatefunkton gestartet: ' + type + ' ' + subtype + ' ' + key + ' ' + subkey);
    var ok = false;
    if (type == 1) {
        for(n=0;n<window.states.length;n++) {
            if (window.states[n].isocode == key) { 
                if (window.states[n].ever == 1) {
                    ok = true;  debuglog ('Updatefunkton Land schonmal geladen: ' + type + ' ' + subtype + ' ' + key + ' ' + subkey);
                }
            }
        }
    }
    if (type == 2) {
        for(n=0;n<window.industries.length;n++) {
            if (window.industries[n].id == key) { 
                if (window.industries[n].ever == 1) {
                    ok = true; debuglog ('Updatefunkton Branche schonmal geladen: ' + type + ' ' + subtype + ' ' + key + ' ' + subkey);
                }
            }
        }
    }
    if (type > 2) {
        ok = true;
    }
    window.temp = getCurrentTimestamp();
    if (window.temp < window.nofavtime) {
        ok = false;
        //console.log(window.temp + 'verhindert' + window.nofavtime);
    }
    
    if (ok == true) {  debuglog ('Updatefunkton ok = true: ' + type + ' ' + subtype + ' ' + key + ' ' + subkey);
        window.middleware.db.gen.transaction(function(tx){
            if ((subtype == 1) || (subtype == 3) || ((subtype == 5) && (type == 2))) {
                tx.executeSql("SELECT * FROM updates where type = ? and subtype = ? and key = ? and subkey = ?", [type, subtype, key, subkey], function (tx, rs) {
                    if (rs.rows.length == 0) {
                        var tempnow = getCurrentTimestamp();
                        tx.executeSql("insert into updates (type, subtype, key, subkey, content_1, content_2, updated) values (?, ?, ?, ?, ?, ?, ?)",
                                [type, subtype, key, subkey, content_1, content_2, tempnow],
                                function (tx, r) { debuglog('Updateschreiben 1 Correct: ' + type + ' ' + subtype + ' ' + key + ' ' + subkey); }, 
                                function (tx, e) { debuglog('Updateschreiben 1 Fehler: ' + key + ' ' + e.message + ' (Code ' + e.code + ')'); });
                    } else {
                        var tempnow = getCurrentTimestamp();
                        tx.executeSql("UPDATE updates set content_1 = ?, content_2 = ?, updated = ? where type = ? and subtype = ? and key = ? and subkey = ?",
                                [content_1, content_2, tempnow, type, subtype, key, subkey],
                                function (tx, r) { debuglog('Updateaktualisieren 1 Correct: ' + type + ' ' + subtype + ' ' + key + ' ' + subkey);}, 
                                function (tx, e) { debuglog('Updateaktualisieren 1 Fehler ' + key + ' ' + e.message + ' (Code ' + e.code + ')'); });
                    }
                });
            } else {
                tx.executeSql("SELECT * FROM updates where type = ? and subtype = ? and key = ? and subkey = ? and content_1 = ?", [type, subtype, key, subkey, content_1], function (tx, rs) {
                    if (rs.rows.length == 0) {
                        var tempnow = getCurrentTimestamp();
                        tx.executeSql("insert into updates (type, subtype, key, subkey, content_1, content_2, updated) values (?, ?, ?, ?, ?, ?, ?)",
                                [type, subtype, key, subkey, content_1, content_2, tempnow],
                                function (tx, r) { debuglog('Updateschreiben 2 Correct: ' + type + ' ' + subtype + ' ' + key + ' ' + subkey); }, 
                                function (tx, e) { debuglog('Updateschreiben 2 Fehler ' + key + ' ' + e.message + ' (Code ' + e.code + ')'); });
                    } else {
                        var tempnow = getCurrentTimestamp();
                        tx.executeSql("UPDATE updates set content_1 = ?, content_2 = ?, updated = ? where type = ? and subtype = ? and key = ? and subkey = ?",
                                [content_1, content_2, tempnow, type, subtype, key, subkey],
                                function (tx, r) { debuglog('Updateaktualisieren 2 Correct: ' + type + ' ' + subtype + ' ' + key + ' ' + subkey); }, 
                                function (tx, e) { debuglog('Updateaktualisieren 2 Fehler ' + key + ' ' + e.message + ' (Code ' + e.code + ')'); });
                    }
                });
            }
        });
        if (type == 1) {
            window.favorite_updated.push('1_' + key);
        }
        if (type == 2) {
            window.favorite_updated.push('2_' + key);
        }
    }
}

window.middleware.deleteFavorite = function(type, subtype, key, subkey) {
    window.middleware.db.gen.transaction(function(tx){
        tx.executeSql("delete FROM updates where type = ? and subtype = ? and key = ? and subkey = ?", [type, subtype, key, subkey], function (tx, rs) { });
        tx.executeSql("delete FROM favorite where key = ?", [subkey], function (tx, rs) { });
    });
}
window.middleware.deleteFavoriteContent = function(key) {
    window.middleware.db.gen.transaction(function(tx){
        tx.executeSql("delete FROM favorite where key = ?", [key], function (tx, rs) { });
    });
}