window.middleware.getFavorite = function(callback) {
    window.updatewait = 0;
    window.updateauto = true;
    window.middleware.db.gen.transaction(function(tx){
        tx.executeSql("SELECT * FROM favorite where type = 1", [], function (tx, rs) {
            window.updatewait = window.updatewait + rs.rows.length;
            for(var m=0;m<rs.rows.length;m++) {
                window.middleware.getFavoriteCountry(rs.rows.item(m).key, function(){
                    window.updatewait = window.updatewait - 1;
                })
            }
        });
        tx.executeSql("SELECT * FROM favorite where type = 2", [], function (tx, rs) {
            window.updatewait = window.updatewait + rs.rows.length;
            for(var m=0;m<rs.rows.length;m++) {
                window.middleware.getFavoriteIndustry(rs.rows.item(m).key, function(){
                    window.updatewait = window.updatewait - 1;
                })
            }
        });
        tx.executeSql("SELECT * FROM favorite where type = 3", [], function (tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                window.middleware.getFavoriteDienststelleState(rs.rows.item(m).key, function(){})
            }
        });
        tx.executeSql("SELECT * FROM favorite where type = 6", [], function (tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                window.middleware.getFavoriteDienststelleIndustry(rs.rows.item(m).key, function(){})
            }
        });
        tx.executeSql("SELECT * FROM favorite where type = 7", [], function (tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                window.middleware.getFavoriteStateNews(rs.rows.item(m).key, rs.rows.item(m).updated, function(){})
            }
        });
        tx.executeSql("SELECT * FROM favorite where type = 8", [], function (tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                window.middleware.getFavoriteIndustryNews(rs.rows.item(m).key, rs.rows.item(m).updated, function(){})
            }
        });
        tx.executeSql("SELECT * FROM favorite where type = 9", [], function (tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                window.middleware.getFavoriteStateEvent(rs.rows.item(m).key, rs.rows.item(m).updated, function(){})
            }
        });
        tx.executeSql("SELECT * FROM favorite where type = 10", [], function (tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                window.middleware.getFavoriteIndustryEvent(rs.rows.item(m).key, rs.rows.item(m).updated, function(){})
            }
        });
        tx.executeSql("SELECT * FROM favorite where type = 11", [], function (tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                window.middleware.getFavoriteHotel(rs.rows.item(m).key, rs.rows.item(m).updated, function(){})
            }
        });
        tx.executeSql("SELECT * FROM favorite where type = 12", [], function (tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                window.middleware.getFavoriteRestaurant(rs.rows.item(m).key, rs.rows.item(m).updated, function(){})
            }
        });
    }, function() {}, function() {
        //console.log(JSON.stringify(window.updatewait, null, 4));
        window.middleware.waitforupdates(callback);
    });
}

window.middleware.waitforupdates = function(callback) { 
    if (window.updatewait == 0) {
        window.updateauto = false;
        callback();
    } else {
        //console.log(JSON.stringify(window.updatewait, null, 4));
        setTimeout(function() {
            window.middleware.waitforupdates(callback);
        }, 250)
    }
}

window.middleware.getFavoriteCountry = function(iso, callback) { 
    window.middleware.db.gen.transaction(function(tx) {   
        tx.executeSql("SELECT * FROM land where isocode = ?", [iso], function(tx, rs) {
            if (rs.rows.length > 0) {
                iso = rs.rows.item(0).isocode;
                window.middleware.getState(rs.rows.item(0).isocode,rs.rows.item(0).updated,function(iso) {
                      callback();
                      getdataOverlay('none');
                      window.middleware.db.gen.transaction(function(tx) {  
                            window.tempnow = getCurrentTimestamp();
                            tx.executeSql("UPDATE land set updated = ?, ever = 1 where isocode = ?",
                                    [window.tempnow, iso],
                                    function (tx, r) {
                                    }, 
                                    function (tx, e) {});
                      }, function() {}, function() {
                          //callback();
                      });
                });
            }
        },function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
    }, function() {}, function() {
        //callback();
    });
}

window.middleware.getFavoriteIndustry = function(zcode, callback) { 
    window.middleware.db.gen.transaction(function(tx) {   
        tx.executeSql("SELECT * FROM branche where zcode = ?", [zcode], function(tx, rs) {
            if (rs.rows.length > 0) { 
                zcode = rs.rows.item(0).zcode;
                window.middleware.getIndustry(zcode, rs.rows.item(0).branche_id,rs.rows.item(0).updated,function(zcode) {
                    callback();
                    getdataOverlay('none');
                    window.middleware.db.gen.transaction(function(tx) {
                        window.tempnow = getCurrentTimestamp();
                        tx.executeSql("UPDATE branche set updated = ?, ever = 1 where zcode = ?",
                                [window.tempnow, zcode],
                                function (tx, r) {
                                }, 
                                function (tx, e) {});
                    });
                });
            }
        },function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
    }, function() {}, function() {
        //callback();
    });
}

window.middleware.getFavoriteDienststelleState = function(iso, callback) { 
    window.middleware.db.gen.transaction(function(tx) {   
        tx.executeSql("SELECT * FROM land where isocode = ?", [iso], function(tx, rs) {
            if (rs.rows.length > 0) {
                $.getJSON(config.api_url + '?view=favdienststate&iso=' + iso + '&t=' + rs.rows.item(0).updated + '&jsoncallback=?', function(data) {
                    window.middleware.db.peo.transaction(function(tx) { 
                        $.each(data.dienst, function(key, val) {
                            tx.executeSql("delete from dienststelletomitarbeiter where org_id = ?", [val.org_id]);
                            if (val.live == 0) {
                                tx.executeSql("delete from dienststelle where org_id = ?", [val.org_id]);
                                tx.executeSql("delete from dienststelletoland where org_id = ?", [val.org_id]);
                                tx.executeSql("delete from dienststelletomitarbeiter where org_id = ?", [val.org_id]);
                            } else {
                                tx.executeSql("SELECT * FROM dienststelle where org_id = ?", [val.org_id], function (tx, rs) {
                                    if (rs.rows.length == 0) {
                                        tx.executeSql("INSERT INTO dienststelle (org_id, decrip, times, profile, kam, tzone, house, street, zip, country, anr, email, web, vor, tel, fax, teldur, faxdur, city) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                [val.org_id, val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city],
                                                function (tx, r) {
                                                    tx.executeSql("SELECT * FROM dienststelletoland where org_id = ? and land_id = ?", [val.org_id,val.land_id], function (tx, rs) {
                                                        if (rs.rows.length == 0) {     
                                                            tx.executeSql("INSERT INTO dienststelletoland (org_id, land_id) VALUES (?,?)", [val.org_id,val.land_id]);
                                                        } 
                                                    });
                                                }, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    } else {
                                        tx.executeSql("UPDATE dienststelle set decrip = ?, times = ?, profile = ?, kam = ?, tzone = ?, house = ?, street = ?, zip = ?, country = ?, anr = ?, email = ?, web = ?, vor = ?, tel = ?, fax = ?, teldur = ?, faxdur = ?, city = ?  where org_id = ?",
                                                [val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city, val.org_id],
                                                function (tx, r) {}, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    }
                                    if ($.inArray('3_' + iso, window.favorite) !== -1 ) {
                                        window.favorite_updated.push('3_' + iso);
                                    }
                                });
                            }
                        });
                        $.each(data.mitarbeiter, function(key, val) {
                            if (val.live == 0) {
                                tx.executeSql("delete from mitarbeiter where rol_id = ?", [val.rol_id]);
                                tx.executeSql("delete from dienststelletomitarbeiter where rol_id = ?", [val.rol_id]);
                            } else {
                                tx.executeSql("SELECT * FROM mitarbeiter where rol_id = ?", [val.rol_id], function (tx, rs) {
                                    if (rs.rows.length == 0) {
                                        tx.executeSql("INSERT INTO mitarbeiter (rol_id, image, first, last, tit, tit2, phone, mob, fax, email, stel_kat_id, etage, room) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                [val.rol_id, val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room],
                                                function (tx, r) {
                                                    tx.executeSql("SELECT * FROM dienststelletomitarbeiter where org_id = ? and rol_id = ?", [val.org_id,val.rol_id], function (tx, rs) {
                                                        if (rs.rows.length == 0) {     
                                                            tx.executeSql("INSERT INTO dienststelletomitarbeiter (org_id, rol_id, reihe) VALUES (?,?,?)", [val.org_id,val.rol_id, val.reihe]);
                                                        } else {
                                                            tx.executeSql("UPDATE dienststelletomitarbeiter set reihe = ? where org_id = ? and rol_id = ? ", [val.reihe,val.org_id,val.rol_id]);
                                                        }
                                                    });
                                                }, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    } else {
                                        tx.executeSql("UPDATE mitarbeiter set  image = ?, first = ?, last = ?, tit = ?, tit2 = ?, phone = ?, mob = ?, fax = ?, email = ?, stel_kat_id = ?, etage = ?, room = ? where rol_id = ?",
                                                [val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room, val.rol_id],
                                                function (tx, r) {
                                                    tx.executeSql("SELECT * FROM dienststelletomitarbeiter where org_id = ? and rol_id = ?", [val.org_id,val.rol_id], function (tx, rs) {
                                                        if (rs.rows.length == 0) {     
                                                            tx.executeSql("INSERT INTO dienststelletomitarbeiter (org_id, rol_id, reihe) VALUES (?,?,?)", [val.org_id,val.rol_id, val.reihe]);
                                                        } else {
                                                            tx.executeSql("UPDATE dienststelletomitarbeiter set reihe = ? where org_id = ? and rol_id = ? ", [val.reihe,val.org_id,val.rol_id]);
                                                        }
                                                    });
                                                }, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    }
                                    if ($.inArray('3_' + iso, window.favorite) !== -1 ) {
                                        window.favorite_updated.push('3_' + iso);
                                    }
                                });
                            }
                        });
                        $.each(data.regdienst, function(key, val) {
                            if (val.live == 0) {
                                tx.executeSql("delete from dienststelle where org_id = ?", [val.org_id]);
                                tx.executeSql("delete from dienststelletoland where org_id = ?", [val.org_id]);
                                tx.executeSql("delete from dienststelletomitarbeiter where org_id = ?", [val.org_id]);
                            } else {
                                tx.executeSql("SELECT * FROM dienststelle where org_id = ?", [val.org_id], function (tx, rs) {
                                    if (rs.rows.length == 0) {
                                        tx.executeSql("INSERT INTO dienststelle (org_id, decrip, times, profile, kam, tzone, house, street, zip, country, anr, email, web, vor, tel, fax, teldur, faxdur, city) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                [val.org_id, val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city],
                                                function (tx, r) {}, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    } else {
                                        tx.executeSql("UPDATE dienststelle set decrip = ?, times = ?, profile = ?, kam = ?, tzone = ?, house = ?, street = ?, zip = ?, country = ?, anr = ?, email = ?, web = ?, vor = ?, tel = ?, fax = ?, teldur = ?, faxdur = ?, city = ?  where org_id = ?",
                                                [val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city, val.org_id],
                                                function (tx, r) {}, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    }
                                    if ($.inArray('3_' + iso, window.favorite) !== -1 ) {
                                        window.favorite_updated.push('3_' + iso);
                                    }
                                });
                            }
                        });
                        $.each(data.regmanager, function(key, val) {
                            if (val.live == 0) {
                                tx.executeSql("delete from mitarbeiter where rol_id = ?", [val.rol_id]);
                                tx.executeSql("delete from dienststelletomitarbeiter where rol_id = ?", [val.rol_id]);
                            } else {
                                tx.executeSql("SELECT * FROM mitarbeiter where rol_id = ?", [val.rol_id], function (tx, rs) {
                                    if (rs.rows.length == 0) {
                                        tx.executeSql("INSERT INTO mitarbeiter (rol_id, image, first, last, tit, tit2, phone, mob, fax, email, stel_kat_id, etage, room) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                [val.rol_id, val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room],
                                                function (tx, r) {}, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    } else {
                                        tx.executeSql("UPDATE mitarbeiter set  image = ?, first = ?, last = ?, tit = ?, tit2 = ?, phone = ?, mob = ?, fax = ?, email = ?, stel_kat_id = ?, etage = ?, room = ? where rol_id = ?",
                                                [val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room, val.rol_id],
                                                function (tx, r) {}, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    }
                                    if ($.inArray('3_' + iso, window.favorite) !== -1 ) {
                                        window.favorite_updated.push('3_' + iso);
                                    }
                                });
                            }
                        });
                    }, function() {}, function() {
                        callback();
                    });
                });
            }
        },function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
    }, function() {}, function() {
        //callback();
    });
}

window.middleware.getFavoriteDienststelleIndustry = function(zcode, callback) { 
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM branche where zcode = ?", [zcode], function(tx, rs) {
            $.getJSON(config.api_url + '?view=branchedetail&zcode=' + zcode + '&bid=' + rs.rows.item(0).branche_id + '&t=' + rs.rows.item(0).updated + '&jsoncallback=?', function(data) {
                window.middleware.db.peo.transaction(function(tx) { 
                    $.each(data.dienst, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete from dienststelle where org_id = ?", [val.org_id]);
                            tx.executeSql("delete from dienststelletoland where org_id = ?", [val.org_id]);
                            tx.executeSql("delete from dienststelletomitarbeiter where org_id = ?", [val.org_id]);
                        } else {
                            tx.executeSql("SELECT * FROM dienststelle where org_id = ?", [val.org_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO dienststelle (org_id, decrip, times, profile, kam, tzone, house, street, zip, country, anr, email, web, vor, tel, fax, teldur, faxdur, city) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                            [val.org_id, val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE dienststelle set decrip = ?, times = ?, profile = ?, kam = ?, tzone = ?, house = ?, street = ?, zip = ?, country = ?, anr = ?, email = ?, web = ?, vor = ?, tel = ?, fax = ?, teldur = ?, faxdur = ?, city = ?  where org_id = ?",
                                            [val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city, val.org_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                                if ($.inArray('6_' + zcode, window.favorite) !== -1 ) {
                                    window.favorite_updated.push('6_' + zcode);
                                }
                            });
                        }
                    });
                    $.each(data.manager, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete from mitarbeiter where rol_id = ?", [val.rol_id]);
                            tx.executeSql("delete from dienststelletomitarbeiter where rol_id = ?", [val.rol_id]);
                        } else {
                            tx.executeSql("SELECT * FROM mitarbeiter where rol_id = ?", [val.rol_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO mitarbeiter (rol_id, image, first, last, tit, tit2, phone, mob, fax, email, stel_kat_id, etage, room) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                            [val.rol_id, val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE mitarbeiter set  image = ?, first = ?, last = ?, tit = ?, tit2 = ?, phone = ?, mob = ?, fax = ?, email = ?, stel_kat_id = ?, etage = ?, room = ? where rol_id = ?",
                                            [val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room, val.rol_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                                if ($.inArray('6_' + zcode, window.favorite) !== -1 ) {
                                    window.favorite_updated.push('6_' + zcode);
                                }
                            });
                        }
                    });
                    $.each(data.messe, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete from mitarbeiter where rol_id = ?", [val.rol_id]);
                            tx.executeSql("delete from dienststelletomitarbeiter where rol_id = ?", [val.rol_id]);
                        } else {
                            tx.executeSql("SELECT * FROM mitarbeiter where rol_id = ?", [val.rol_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO mitarbeiter (rol_id, image, first, last, tit, tit2, phone, mob, fax, email, stel_kat_id, etage, room) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                            [val.rol_id, val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE mitarbeiter set  image = ?, first = ?, last = ?, tit = ?, tit2 = ?, phone = ?, mob = ?, fax = ?, email = ?, stel_kat_id = ?, etage = ?, room = ? where rol_id = ?",
                                            [val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room, val.rol_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                                if ($.inArray('6_' + zcode, window.favorite) !== -1 ) {
                                    window.favorite_updated.push('6_' + zcode);
                                }
                            });
                        }
                    });
                }, function() {}, function() {
                    callback();
                });
            });
        });
    });
}

window.middleware.getFavoriteStateNews = function(doc_id, updated, callback) { 
    $.getJSON(config.api_url + '?view=favlandnews&id=' + doc_id + '&t=' + updated + '&jsoncallback=?', function(data) {
        if (data.length == 0) {
            window.temp = getCurrentTimestamp();
            window.middleware.db.gen.transaction(function(tx){
                tx.executeSql("update favorite set updated = ? where type = 7 and key = ?", [window.temp, doc_id], function (tx, rs) {
                    callback();
                }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
            });
        } else {
            window.middleware.db.nue.transaction(function(tx) { 
                $.each(data, function(key, val) {
                    if (val.live == 0) {
                        tx.executeSql("delete from newsland where doc_id = ?", [val.doc_id]);
                        window.middleware.deleteFavoriteContent(val.doc_id);
                    } else {
                        tx.executeSql("SELECT * FROM newsland where doc_id = ?", [val.doc_id], function (tx, rs) {
                            if (rs.rows.length == 0) {
                                tx.executeSql("INSERT INTO newsland(doc_id, isocode, topic, sub, content, autor, email, url, since, until) VALUES (?,?,?,?,?,?,?,?,?,?)",
                                        [val.doc_id, val.isocode, val.topic, val.sub, val.content, val.autor, val.email, val.url, val.since, val.until],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            } else {
                                tx.executeSql("UPDATE newsland set isocode = ?, topic = ?, sub = ?, content = ?, autor = ?, email = ?, url = ?, since = ?, until = ?  where doc_id = ?",
                                        [val.isocode, val.topic, val.sub, val.content, val.autor, val.email, val.url, val.since, val.until, val.doc_id],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            }
                            $('#update_point_mycontent').css('display', 'block');
                        });
                    }
                });
            }, function() {}, function() {
                window.temp = getCurrentTimestamp();
                window.middleware.db.gen.transaction(function(tx){
                    tx.executeSql("update favorite set updated = ? where type = 7 and key = ?", [window.temp, doc_id], function (tx, rs) {
                        callback();
                    }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
                });
            });
        }
    });
}

window.middleware.getFavoriteIndustryNews = function(doc_id, updated, callback) { 
    $.getJSON(config.api_url + '?view=favindnews&id=' + doc_id + '&t=' + updated + '&jsoncallback=?', function(data) {
        if (data.length == 0) {
            window.temp = getCurrentTimestamp();
            window.middleware.db.gen.transaction(function(tx){
                tx.executeSql("update favorite set updated = ? where type = 8 and key = ?", [window.temp, doc_id], function (tx, rs) {
                    callback();
                }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
            });
            callback();
        } else {
            window.middleware.db.neb.transaction(function(tx) { 
                $.each(data, function(key, val) {
                    if (val.live == 0) {
                        tx.executeSql("delete from newsbranche where doc_id = ?", [val.doc_id]);
                        window.middleware.deleteFavoriteContent(val.doc_id);
                    } else {
                        tx.executeSql("SELECT * FROM newsbranche where doc_id = ?", [val.doc_id], function (tx, rs) {
                            if (rs.rows.length == 0) {
                                tx.executeSql("INSERT INTO newsbranche(doc_id, zcode, topic, sub, content, autor, email, url, since, until, updated) VALUES (?,?,?,?,?,?,?,?,?,?,?)",
                                        [val.doc_id, val.zcode, val.topic, val.sub, val.content, val.autor, val.email, val.url, val.since, val.until, val.updated],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            } else {
                                tx.executeSql("UPDATE newsbranche set zcode = ?, topic = ?, sub = ?, content = ?, autor = ?, email = ?, url = ?, since = ?, until = ?, updated = ?  where doc_id = ?",
                                        [val.zcode, val.topic, val.sub, val.content, val.autor, val.email, val.url, val.since, val.until, val.updated, val.doc_id],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            }
                            $('#update_point_mycontent').css('display', 'block');
                        });
                    }
                });
            }, function() {}, function() {
                window.temp = getCurrentTimestamp();
                window.middleware.db.gen.transaction(function(tx){
                    tx.executeSql("update favorite set updated = ? where type = 8 and key = ?", [window.temp, doc_id], function (tx, rs) {
                        callback();
                    }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
                });
                callback();
            });
        }
    });
}

window.middleware.getFavoriteStateEvent = function(event_id, updated, callback) { 
    $.getJSON(config.api_url + '?view=favlandevent&id=' + event_id + '&t=' + updated + '&jsoncallback=?', function(data) {
        if (data.length == 0) {
            window.temp = getCurrentTimestamp();
            window.middleware.db.gen.transaction(function(tx){
                tx.executeSql("update favorite set updated = ? where type = 9 and key = ?", [window.temp, event_id], function (tx, rs) {
                    callback();
                }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
            });
        } else {
            window.middleware.db.eve.transaction(function(tx) { 
                $.each(data, function(key, val) {
                    if (val.live == 0) {
                        tx.executeSql("delete from events where events_id = ?", [val.events_id]);
                        tx.executeSql("delete from eventstoland where events_id = ?", [val.events_id]);
                        tx.executeSql("delete from eventstobranche where events_id = ?", [val.events_id]);
                        window.middleware.deleteFavoriteContent(val.events_id);
                    } else {
                        tx.executeSql("SELECT * FROM events where events_id = ?", [val.events_id], function (tx, rs) {
                            if (rs.rows.length == 0) {
                                tx.executeSql("INSERT INTO events(events_id, type, date_start, date_end, reg, topic, sub, content, host, city, first, last, title, phone, mobile, fax, email, since, until) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                        [val.events_id, val.type, val.date_start, val.date_end, val.reg, val.topic, val.sub, val.content, val.host, val.city, val.first, val.last, val.title, val.phone, val.mobile, val.fax, val.email, val.since, val.until],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            } else {
                                tx.executeSql("UPDATE events set type = ?, date_start = ?, date_end = ?, reg = ?, topic = ?, sub = ?, content = ?, host = ?, city = ?, first = ?, last = ?, title = ?, phone = ?, mobile = ?, fax = ?, email = ?, since = ?, until = ?  where events_id = ?",
                                        [val.type, val.date_start, val.date_end, val.reg, val.topic, val.sub, val.content, val.host, val.city, val.first, val.last, val.title, val.phone, val.mobile, val.fax, val.email, val.since, val.until, val.events_id],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            }
                            $('#update_point_mycontent').css('display', 'block');
                        });
                    }
                });
            }, function() {}, function() {
                window.temp = getCurrentTimestamp();
                window.middleware.db.gen.transaction(function(tx){
                    tx.executeSql("update favorite set updated = ? where type = 9 and key = ?", [window.temp, event_id], function (tx, rs) {
                        callback();
                    }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
                });
            });
        }
    });
}

window.middleware.getFavoriteIndustryEvent = function(event_id, updated, callback) { 
    $.getJSON(config.api_url + '?view=favindevent&id=' + event_id + '&t=' + updated + '&jsoncallback=?', function(data) {
        if (data.length == 0) {
            window.temp = getCurrentTimestamp();
            window.middleware.db.gen.transaction(function(tx){
                tx.executeSql("update favorite set updated = ? where type = 10 and key = ?", [window.temp, event_id], function (tx, rs) {
                    callback();
                }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
            });
        } else {
            window.middleware.db.eve.transaction(function(tx) { 
                $.each(data, function(key, val) {
                    if (val.live == 0) {
                        tx.executeSql("delete from events where event_id = ?", [val.events_id]);
                        tx.executeSql("delete from eventstoland where events_id = ?", [val.events_id]);
                        tx.executeSql("delete from eventstobranche where events_id = ?", [val.events_id]);
                        window.middleware.deleteFavoriteContent(val.events_id);
                    } else {
                        tx.executeSql("SELECT * FROM events where events_id = ?", [val.events_id], function (tx, rs) {
                            if (rs.rows.length == 0) {
                                tx.executeSql("INSERT INTO events(events_id, type, date_start, date_end, reg, topic, sub, content, host, city, first, last, title, phone, mobile, fax, email, since, until) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                        [val.events_id, val.type, val.date_start, val.date_end, val.reg, val.topic, val.sub, val.content, val.host, val.city, val.first, val.last, val.title, val.phone, val.mobile, val.fax, val.email, val.since, val.until],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            } else {
                                tx.executeSql("UPDATE events set type = ?, date_start = ?, date_end = ?, reg = ?, topic = ?, sub = ?, content = ?, host = ?, city = ?, first = ?, last = ?, title = ?, phone = ?, mobile = ?, fax = ?, email = ?, since = ?, until = ?  where events_id = ?",
                                        [val.type, val.date_start, val.date_end, val.reg, val.topic, val.sub, val.content, val.host, val.city, val.first, val.last, val.title, val.phone, val.mobile, val.fax, val.email, val.since, val.until, val.events_id],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            }
                            $('#update_point_mycontent').css('display', 'block');
                        });
                    }
                });
            }, function() {}, function() {
                window.temp = getCurrentTimestamp();
                window.middleware.db.gen.transaction(function(tx){
                    tx.executeSql("update favorite set updated = ? where type = 10 and key = ?", [window.temp, event_id], function (tx, rs) {
                        callback();
                    }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
                });
            });
        }
    });
}

window.middleware.getFavoriteHotel = function(hotel_id, updated, callback) { 
    $.getJSON(config.api_url + '?view=favhotel&id=' + hotel_id + '&t=' + updated + '&jsoncallback=?', function(data) {
        window.middleware.db.gen.transaction(function(tx) { 
            $.each(data, function(key, val) {
                if (val.live == 0) {
                    tx.executeSql("delete from hotel where hotel_id = ?", [val.hotel_id]);
                } else {
                    tx.executeSql("SELECT * FROM hotel where hotel_id = ?", [val.hotel_id], function (tx, rs) {
                        if (rs.rows.length == 0) {
                            tx.executeSql("INSERT INTO hotel(hotel_id, isocode, hotel, street1, street2, zip, city, net, note) VALUES (?,?,?,?,?,?,?,?,?)",
                                    [val.hotel_id, val.isocode, val.hotel, val.street1, val.street2, val.zip, val.city, val.net, val.note],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        } else {
                            tx.executeSql("UPDATE hotel set isocode = ?, hotel = ?, street1 = ?, street2 = ?, zip = ?, city = ?, net = ?, note = ? where hotel_id = ?",
                                    [val.isocode, val.hotel, val.street1, val.street2, val.zip, val.city, val.net, val.note, val.hotel_id],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        }
                        $('#update_point_mycontent').css('display', 'block');
                    });
                }
            });
        }, function() {}, function() {
            window.temp = getCurrentTimestamp();
            window.middleware.db.gen.transaction(function(tx){
                tx.executeSql("update favorite set updated = ? where type = 11 and key = ?", [window.temp, hotel_id], function (tx, rs) {
                    callback();
                }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
            });
        });
    });
}

window.middleware.getFavoriteRestaurant = function(restaurant_id, updated, callback) { 
    $.getJSON(config.api_url + '?view=favrestaurant&id=' + restaurant_id + '&t=' + updated + '&jsoncallback=?', function(data) {
        window.middleware.db.gen.transaction(function(tx) { 
            $.each(data, function(key, val) {
                if (val.live == 0) {
                    tx.executeSql("delete from restaurant where rest_id = ?", [val.rest_id]);
                } else {
                    tx.executeSql("SELECT * FROM restaurant where rest_id = ?", [val.rest_id], function (tx, rs) {
                        if (rs.rows.length == 0) {
                            tx.executeSql("INSERT INTO restaurant(rest_id, isocode, restaurant, street1, street2, zip, city, net, note) VALUES (?,?,?,?,?,?,?,?,?)",
                                    [val.rest_id, val.isocode, val.restaurant, val.street1, val.street2, val.zip, val.city, val.net, val.note],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        } else {
                            tx.executeSql("UPDATE restaurant set isocode = ?, restaurant = ?, street1 = ?, street2 = ?, zip = ?, city = ?, net = ?, note = ? where rest_id = ?",
                                    [val.isocode, val.restaurant, val.street1, val.street2, val.zip, val.city, val.net, val.note, val.rest_id],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        }
                        $('#update_point_mycontent').css('display', 'block');
                    });
                }
            });
        }, function() {}, function() {
            window.temp = getCurrentTimestamp();
            window.middleware.db.gen.transaction(function(tx){
                tx.executeSql("update favorite set updated = ? where type = 12 and key = ?", [window.temp, restaurant_id], function (tx, rs) {
                    callback();
                }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
            });
        });
    });
}

/*
function dynamicSort(property) {
    var sortOrder = 1;
    if(property[0] === "-") {
        sortOrder = -1;
        property = property.substr(1);
    }
    return function (a,b) {
        var result = (a[property] < b[property]) ? -1 : (a[property] > b[property]) ? 1 : 0;
        return result * sortOrder;
    }
}
*/

var alpha = function(alphabet, dir, caseSensitive){
    return function(a, b){
      var pos = 0,
        min = Math.min(a.name.length, b.name.length);
      dir = dir || 1;
      caseSensitive = caseSensitive || false;
      /*
      if(!caseSensitive){
        a.name = a.name.toLowerCase();
        b.name = b.name.toLowerCase();
      }
      */
      while(a.name.charAt(pos) === b.name.charAt(pos) && pos < min){ pos++; }
      return alphabet.indexOf(a.name.charAt(pos)) > alphabet.indexOf(b.name.charAt(pos)) ?
        dir:-dir;
    };
};


window.middleware.updateFavorite = function() { 
    $("#favlist_land_list").html('');
    $("#favlist_branche_list").html('');
    $("#favlist_dienst_list").html('');
    $("#mycontent_cont").html('');
    window.myself = '';
    window.myself7 = '';
    window.myself8 = '';
    window.myself9 = '';
    window.myself10 = '';
    window.myself11 = '';
    window.myself12 = '';
    window.middleware.db.gen.transaction(function(tx){
        /*
        tx.executeSql("SELECT * FROM favorite where type = 1 order by name", [], function (tx, rs) {
            var temp_2 = 0;
            for(var m=0;m<rs.rows.length;m++) {
                var temp = '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                if (m == 0) {
                    temp = temp + 'ui-first-child ';
                }
                if ((m+1) == rs.rows.length) {
                    temp = temp + 'ui-last-child';
                }
                temp = temp + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a class="ui-link-inherit" onclick="window.middleware.setUpdatesState(\'' + rs.rows.item(m).key + '\');">' + rs.rows.item(m).name + '</a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;';
                if ($.inArray('1_' + rs.rows.item(m).key, window.favorite_updated) !== -1 ) {
                    temp = temp + '<img class="update_point" src="img/icons/update.png" width="8" height="8" />';
                    temp_2 = 1;
                } 
                temp = temp + '</span></div></li>';
                $("#favlist_land_list").append(temp);
                $("#favlist_land_list").css ('background-color', '#CECAC2');
            }
            
            
            if (temp_2 == 1) {
                $("#update_point_countries").css ('display', 'block');
            } else {
                $("#update_point_countries").css ('display', 'none');
            }
            if (rs.rows.length == 0) {
                $("#favlist_land_list").append('<center>Keine Favoriten hinterlegt</center>');
                $("#favlist_land_list").css ('background-color', '#ffffff');
            }
        });
        */
        tx.executeSql("SELECT * FROM favorite where type = 1 order by name", [], function (tx, rs) {
            var temp_2 = 0;
            var stateTemp = [];
            for(var m=0;m<rs.rows.length;m++) {
                var tempp = { "name" : rs.rows.item(m).name, "key" : rs.rows.item(m).key };
                stateTemp.push(tempp);
            }
            /*
            stateTemp.sort(function (a, b) {
                return a.name.toLowerCase().localeCompare(b.name.toLowerCase());
            });
            */
            stateTemp.sort(
                    alpha('ABCDEFGHIJKLMNOPQRSTUVWXYZaàâäbcçdeéèêëfghiïîjklmnñoôöpqrstuûüvwxyÿz')
                  );
            for(var m=0;m<stateTemp.length;m++) {
                var temp = '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                if (m == 0) {
                    temp = temp + 'ui-first-child ';
                }
                if ((m+1) == rs.rows.length) {
                    temp = temp + 'ui-last-child';
                }
                temp = temp + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a class="ui-link-inherit" onclick="window.middleware.setUpdatesState(\'' + stateTemp[m].key + '\');">' + stateTemp[m].name + '</a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;';
                if ($.inArray('1_' + stateTemp[m].key, window.favorite_updated) !== -1 ) {
                    temp = temp + '<img class="update_point" src="img/icons/update.png" width="8" height="8" />';
                    temp_2 = 1;
                } 
                temp = temp + '</span></div></li>';
                $("#favlist_land_list").append(temp);
                $("#favlist_land_list").css ('background-color', '#CECAC2');
            }
            if (temp_2 == 1) {
                $("#update_point_countries").css ('display', 'block');
            } else {
                $("#update_point_countries").css ('display', 'none');
            }
            if (rs.rows.length == 0) {
                $("#favlist_land_list").append('<center>Keine Favoriten hinterlegt</center>');
                $("#favlist_land_list").css ('background-color', '#ffffff');
            }
        });
        
        tx.executeSql("SELECT * FROM favorite where type = 2 order by name", [], function (tx, rs) {
            var temp_2 = 0;
            for(var m=0;m<rs.rows.length;m++) {
                var temp = '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                if (m == 0) {
                    temp = temp + 'ui-first-child ';
                }
                if ((m+1) == rs.rows.length) {
                    temp = temp + 'ui-last-child';
                }
                temp = temp + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a class="ui-link-inherit" onclick="window.middleware.setUpdatesIndustry(\'' + rs.rows.item(m).key + '\');">' + rs.rows.item(m).name + '</a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;';
                if ($.inArray('2_' + rs.rows.item(m).key, window.favorite_updated) !== -1 ) {
                    temp = temp + '<img class="update_point" src="img/icons/update.png" width="8" height="8" />';
                    temp_2 = 1;
                }
                temp = temp + '</span></div></li>';
                $("#favlist_branche_list").append(temp);
                $("#favlist_branche_list").css ('background-color', '#CECAC2');
            }
            if (temp_2 == 1) {
                $("#update_point_industries").css ('display', 'block');
            } else {
                $("#update_point_industries").css ('display', 'none');
            }
            if (rs.rows.length == 0) {
                $("#favlist_branche_list").append('<center>Keine Favoriten hinterlegt</center>');
                $("#favlist_branche_list").css ('background-color', '#ffffff');
            } 
        });
        tx.executeSql("SELECT * FROM favorite where type > 2 and type < 7 order by name", [], function (tx, rs) {
            var temp_2 = 0;
            var stateTemp = [];
            for(var m=0;m<rs.rows.length;m++) {
                var tempp = { "name" : rs.rows.item(m).name, "key" : rs.rows.item(m).key , "type" : rs.rows.item(m).type };
                stateTemp.push(tempp);
            }
            /*
            stateTemp.sort(function (a, b) {
                return a.name.toLowerCase().localeCompare(b.name.toLowerCase());
            });
            */
            stateTemp.sort(
                    alpha('ABCDEFGHIJKLMNOPQRSTUVWXYZaàâäbcçdeéèêëfghiïîjklmnñoôöpqrstuûüvwxyÿz')
                  );
            for(var m=0;m<stateTemp.length;m++) {
                var temp = '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                if (m == 0) {
                    temp = temp + 'ui-first-child ';
                }
                if ((m+1) == stateTemp.length) {
                    temp = temp + 'ui-last-child';
                }
                temp = temp + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a class="ui-link-inherit" onclick="';
                if (stateTemp[m].type == 3) {        
                    temp = temp + 'window.middleware.setDirectContactLand(\'' + stateTemp[m].key + '\');';
                } 
                if (stateTemp[m].type == 4) {        
                    temp = temp + 'window.middleware.setExpBund(\'' + stateTemp[m].key + '\');';
                } 
                if (stateTemp[m].type == 5) {        
                    temp = temp + 'window.middleware.setExpert(\'' + stateTemp[m].key + '\');';
                } 
                if (stateTemp[m].type == 6) {        
                    temp = temp + 'window.middleware.setDirectContactIndustry(\'' + stateTemp[m].key + '\');';
                } 
                temp = temp + '">' + stateTemp[m].name + '</a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;';
                if (stateTemp[m].type == 3) {
                    if ($.inArray('3_' + stateTemp[m].key, window.favorite_updated) !== -1 ) {
                        temp = temp + '<img class="update_point" src="img/icons/update.png" width="8" height="8" />';
                        temp_2 = 1;
                    }
                }
                if ($.inArray('4_' + stateTemp[m].key, window.favorite_updated) !== -1 ) {
                    temp = temp + '<img class="update_point" src="img/icons/update.png" width="8" height="8" />';
                    temp_2 = 1;
                }
                if ($.inArray('5_' + stateTemp[m].key, window.favorite_updated) !== -1 ) {
                    temp = temp + '<img class="update_point" src="img/icons/update.png" width="8" height="8" />';
                    temp_2 = 1;
                }
                if (stateTemp[m].type == 6) {
                    if ($.inArray('6_' + stateTemp[m].key, window.favorite_updated) !== -1 ) {
                        temp = temp + '<img class="update_point" src="img/icons/update.png" width="8" height="8" />';
                        temp_2 = 1;
                    }
                }
                temp = temp + '</span></div></li>';
                $("#favlist_dienst_list").append(temp);
                $("#favlist_dienst_list").css ('background-color', '#CECAC2');
            }
            if (temp_2 == 1) {
                $("#update_point_contacts").css ('display', 'block');
            } else {
                $("#update_point_contacts").css ('display', 'none');
            }
            if (rs.rows.length == 0) {
                $("#favlist_dienst_list").append('<center>Keine Favoriten hinterlegt</center>');
                $("#favlist_dienst_list").css ('background-color', '#ffffff');
            }
        });
        tx.executeSql("SELECT * FROM favorite where type = 7 order by content", [], function (tx, rs) {
            if (rs.rows.length > 0) {
                window.myself7 = '<div class="wko_sitetitle">Länder-News</div><ul id="country_news_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                for(var m=0;m<rs.rows.length;m++) {
                    window.myself7 = window.myself7 + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                    if (m == 0) {
                        window.myself7 = window.myself7 + 'ui-first-child ';
                    }
                    if ((m+1) == rs.rows.length) {
                        window.myself7 = window.myself7 + 'ui-last-child ';
                    }
                    window.myself7 = window.myself7 + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailLandNews(\'';
                    window.myself7 = window.myself7 + rs.rows.item(m).key;
                    window.myself7 = window.myself7 + '\');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                    window.myself7 = window.myself7 + rs.rows.item(m).name;
                    window.myself7 = window.myself7 + '</h4><p class="ui-li-desc">';
                    window.myself7 = window.myself7 + rs.rows.item(m).content;
                    window.myself7 = window.myself7 + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                }
                window.myself7 = window.myself7 + '</ul>';
            }
        });
        tx.executeSql("SELECT * FROM favorite where type = 8 order by content", [], function (tx, rs) {
            if (rs.rows.length > 0) {
                window.myself8 = '<div class="wko_sitetitle">Branchen-News</div><ul id="country_news_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                for(var m=0;m<rs.rows.length;m++) {
                    window.myself8 = window.myself8 + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                    if (m == 0) {
                        window.myself8 = window.myself8 + 'ui-first-child ';
                    }
                    if ((m+1) == rs.rows.length) {
                        window.myself8 = window.myself8 + 'ui-last-child ';
                    }
                    window.myself8 = window.myself8 + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailBrancheNews(\'';
                    window.myself8 = window.myself8 + rs.rows.item(m).key;
                    window.myself8 = window.myself8 + '\');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                    window.myself8 = window.myself8 + rs.rows.item(m).name;
                    window.myself8 = window.myself8 + '</h4><p class="ui-li-desc">';
                    window.myself8 = window.myself8 + rs.rows.item(m).content;
                    window.myself8 = window.myself8 + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                }
                window.myself8 = window.myself8 + '</ul>';
            }
        });
        tx.executeSql("SELECT * FROM favorite where type = 9 order by content", [], function (tx, rs) {
            if (rs.rows.length > 0) {
                window.myself9 = '<div class="wko_sitetitle">Länder-Events</div><ul id="country_news_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                var tempcounter = 0;
                for(var m=0;m<rs.rows.length;m++) {
                    var myarr = rs.rows.item(m).content.split(".");
                    var tempdate = new Date(myarr[2] + "." + myarr[1] + "." + myarr[0]).getTime() / 1000;
                    if (window.yesterday < tempdate) {
                        tempcounter = 1;
                        window.myself9 = window.myself9 + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                        if (m == 0) {
                            window.myself9 = window.myself9 + 'ui-first-child ';
                        }
                        if ((m+1) == rs.rows.length) {
                            window.myself9 = window.myself9 + 'ui-last-child ';
                        }
                        window.myself9 = window.myself9 + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailLandEvents(\'';
                        window.myself9 = window.myself9 + rs.rows.item(m).key;
                        window.myself9 = window.myself9 + '\');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                        window.myself9 = window.myself9 + rs.rows.item(m).name;
                        window.myself9 = window.myself9 + '</h4><p class="ui-li-desc">';
                        window.myself9 = window.myself9 + rs.rows.item(m).content + 'bernd';
                        window.myself9 = window.myself9 + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                    
                    }
                }
                window.myself9 = window.myself9 + '</ul>';
                if (tempcounter == 0) {
                    window.myself9 = '';
                }
            }
        });
        tx.executeSql("SELECT * FROM favorite where type = 10 order by content", [], function (tx, rs) {
            if (rs.rows.length > 0) {
                window.myself10 = '<div class="wko_sitetitle">Branchen-Events</div><ul id="country_news_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                var tempcounter = 0;
                for(var m=0;m<rs.rows.length;m++) {
                    var myarr = rs.rows.item(m).content.split(".");
                    var tempdate = new Date(myarr[2] + "." + myarr[1] + "." + myarr[0]).getTime() / 1000;
                    if (window.yesterday < tempdate) {
                        tempcounter = 1;
                        window.myself10 = window.myself10 + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                        if (m == 0) {
                            window.myself10 = window.myself10 + 'ui-first-child ';
                        }
                        if ((m+1) == rs.rows.length) {
                            window.myself10 = window.myself10 + 'ui-last-child ';
                        }
                        window.myself10 = window.myself10 + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailIndustryEvents(\'';
                        window.myself10 = window.myself10 + rs.rows.item(m).key;
                        window.myself10 = window.myself10 + '\');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                        window.myself10 = window.myself10 + rs.rows.item(m).name;
                        window.myself10 = window.myself10 + '</h4><p class="ui-li-desc">';
                        window.myself10 = window.myself10 + rs.rows.item(m).content;
                        window.myself10 = window.myself10 + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                        
                    }
                }
                window.myself10 = window.myself10 + '</ul>';
                if (tempcounter == 0) {
                    window.myself10 = '';
                }
            }
        });
        tx.executeSql("SELECT * FROM hotel where hotel.hotel_id in (select key from favorite where type = 11) order by hotel.city,hotel.hotel", [], function(tx, rs) {
            window.myself11 = '';
            if (rs.rows.length > 0) {
                window.myself11 = '<div class="wko_sitetitle">Hotels</div>';
                for(var m=0;m<rs.rows.length;m++) {
                    var hotel = '<div class="block"><p><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + window.currentState["land"] + ' ' + rs.rows.item(m).zip + ' ' + rs.rows.item(m).city + ' ' + rs.rows.item(m).street1 + ' ' + rs.rows.item(m).street2 + ' ' + rs.rows.item(m).hotel +'\');" ta class="con_link con_icon_adress">';
                    if (0 < rs.rows.item(m).hotel.length) {
                        hotel += rs.rows.item(m).hotel + '<br />';
                    }
                    if (0 < rs.rows.item(m).street1.length) {
                        hotel += rs.rows.item(m).street1 + '<br />';
                    }
                    if (0 < rs.rows.item(m).street2.length) {
                        hotel += rs.rows.item(m).street2 + '<br />';
                    }
                    if (0 < rs.rows.item(m).city.length) {
                        hotel += rs.rows.item(m).zip + ' ' + rs.rows.item(m).city;
                    }
                    hotel += '</a>';
                    if (0 < rs.rows.item(m).net.length) {
                        var temp = rs.rows.item(m).net;
                        temp = temp.match(/.{1,28}/g).join("<wbr />");
                        hotel += '<a href="javascript:;" onclick="loadexternal(\'' + rs.rows.item(m).net + '\');" class="con_link con_icon_url">' + temp + '</a>';;
                    }
                    /*
                    if (0 < rs.rows.item(m).note.length) {
                        hotel += '<p>' + rs.rows.item(m).note + '</p>';
                    }
                    */
                    hotel += '</p></div>';
                    window.myself11 = window.myself11 + hotel;
                }
            }
        },function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
        
        
        
        tx.executeSql("SELECT * FROM restaurant where rest_id in (select key from favorite where type = 12) order by restaurant.city,restaurant.restaurant", [], function(tx, rs) {
            window.myself12 = '';
            if (rs.rows.length > 0) {
                window.myself12 = '<div class="wko_sitetitle">Restaurants</div>';
                for(var m=0;m<rs.rows.length;m++) {
                    var restaurant = '<div class="block"><p><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + window.currentState["land"] + ' ' + rs.rows.item(m).zip + ' ' + rs.rows.item(m).city + ' ' + rs.rows.item(m).street1 + ' ' + rs.rows.item(m).street2 + ' ' + rs.rows.item(m).restaurant +'\');" ta class="con_link con_icon_adress">';
                    if (0 < rs.rows.item(m).restaurant.length) {
                        restaurant += rs.rows.item(m).restaurant + '<br />';
                    }
                    if (0 < rs.rows.item(m).street1.length) {
                        restaurant += rs.rows.item(m).street1 + '<br />';
                    }
                    if (0 < rs.rows.item(m).street2.length) {
                        restaurant += rs.rows.item(m).street2 + '<br />';
                    }
                    if (0 < rs.rows.item(m).city.length) {
                        restaurant += rs.rows.item(m).zip + ' ' + rs.rows.item(m).city;
                    }
                    restaurant += '</a>';
                    if (0 < rs.rows.item(m).net.length) {
                        var temp = rs.rows.item(m).net;
                        temp = temp.match(/.{1,28}/g).join("<br />");
                        restaurant += '<a href="javascript:;" onclick="loadexternal(\'' + rs.rows.item(m).net + '\');" class="con_link con_icon_url">' + temp + '</a>';;
                    }
                    /*
                    if (0 < rs.rows.item(m).note.length) {
                        restaurant += '<p>' + rs.rows.item(m).note + '</p>';
                    }
                    */
                    restaurant += '</p></div>';
                    window.myself12 = window.myself12 + restaurant;
                }
            }
        },function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
        
    }, function() {}, function() { 
        window.myself = window.myself7 + window.myself8 + window.myself9 + window.myself10 + window.myself11 + window.myself12;
        if (window.myself.length == 0) {
            window.myself = '<center>Keine favorisierten Inhalte hinterlegt.</center>';
        }
        $("#mycontent_cont").html(window.myself);
        
        
        //window.loadstepsDone = window.loadstepsDone + 1;
    });
};

window.middleware.initFavorite = function() {
    window.middleware.db.gen.transaction(function(tx){
        tx.executeSql("SELECT * FROM favorite", [], function (tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                window.favorite.push(rs.rows.item(m).type + '_' + rs.rows.item(m).key);   
            }
        });
    });
};

window.middleware.setFavorite = function(type, key, button, name, content) {
    if ($.inArray(type + '_' + key, window.favorite) !== -1 ) { 
        if (!config.debug_setfavorites) { 
            if (type == 1) {
                $(button + ' .ui-btn-text').html('Land zu Favoriten hinzufügen');
                message(name + ' wurde als Favorit entfernt.');
            }
            if (type == 2) {
                $(button + ' .ui-btn-text').html('Branche zu Favoriten hinzufügen');
                message(name + ' wurde als Favorit entfernt.');
            }
            if ((type == 3) || (type == 4) || (type == 5) || (type == 6)) {
                $(button + ' .ui-btn-text').html('zu Favoriten hinzufügen');
                message(name + ' wurde als Favorit entfernt.');
            }
            if ((type == 7) || (type == 8)) {
                $(button + ' .ui-btn-text').html('News zu Favoriten hinzufügen');
                message('News wurde aus Favoriten entfernt.');
            }
            if ((type == 9) || (type == 10)) {
                $(button + ' .ui-btn-text').html('Event zu Favoriten hinzufügen');
                message('Event wurde aus Favoriten entfernt.');
            }
            if (type == 11) {
                $(button + ' .ui-btn-text').html('zu Favoriten hinzufügen');
                message('Hotel wurde als Favorit entfernt.');
            }
            if (type == 12) {
                $(button + ' .ui-btn-text').html('zu Favoriten hinzufügen');
                message('Restaurant wurde als Favorit entfernt.');
            }
            window.favorite = jQuery.grep(window.favorite, function(value) {
                return value != type + '_' + key;
            });
            window.middleware.db.gen.transaction(function(tx){
                tx.executeSql("delete FROM favorite where type = ? and key = ?", [type, key], function (tx, rs) {
                    window.middleware.updateFavorite();
                });
            });
        }
    } else {
        if (type == 1) {
            $(button + ' .ui-btn-text').html('Land aus Favoriten entfernen');
            message(name + ' wurde als Favorit hinzugefügt.'); 
        }
        if (type == 2) {
            $(button + ' .ui-btn-text').html('Branche aus Favoriten entfernen');
            message(name + ' wurde als Favorit hinzugefügt.'); 
        }
        if ((type == 3) || (type == 4) || (type == 5) || (type == 6)) {
            $(button + ' .ui-btn-text').html('aus Favoriten entfernen');
            message(name + ' wurde als Favorit hinzugefügt.'); 
        }
        if ((type == 7) || (type == 8)) {
            $(button + ' .ui-btn-text').html('News aus Favoriten entfernen');
            message('News wurde zu Favoriten hinzugefügt.'); 
        }
        if ((type == 9) || (type == 10)) {
            $(button + ' .ui-btn-text').html('Event aus Favoriten entfernen');
            message('Event wurde zu Favoriten hinzugefügt.');
        }
        if (type == 11) {
            $(button + ' .ui-btn-text').html('aus Favoriten entfernen');
            message('Hotel wurde als Favorit hinzugefügt.'); 
        }
        if (type == 12) {
            $(button + ' .ui-btn-text').html('aus Favoriten entfernen');
            message('Restaurant wurde als Favorit hinzugefügt.'); 
        }
        window.favorite.push(type + '_' + key);
        window.temp = getCurrentTimestamp();
        //window.temp = 123;
        window.middleware.db.gen.transaction(function(tx){
            tx.executeSql("insert into favorite (type, name, key, content, updated) values (?, ?, ?, ?, ?)", [type, name, key, content, window.temp], function (tx, rs) {
                window.middleware.updateFavorite();
            }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
        });
    }
};